# Reviews Reviews ## Creates a new review record that does not already exist. - [POST /reviews/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/createreview.md): This method will auto-generate an ID and create a new review. If an ID is specified for the review, an error will be thrown. ## Returns a list of records with the specified award_id - [GET /reviews/{tenantId}/award/{award_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/listreviewsbyawardid.md): Returns a list of records with the specified award_id ## Execute Batch Operations - [POST /reviews/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /reviews/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/listreviewsbycontactid.md): Returns a list of records with the specified contact_id ## Returns a list of records with the specified review_round_id - [GET /reviews/{tenantId}/reviewRound/{review_round_id}/{status}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/listreviewsbyreviewroundidstatus.md): Returns a list of records with the specified review_round_id ## Searches for reviews using predefined parameters - [POST /reviews/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/searchforreviews.md): Searches for reviews using predefined parameters ## Submit a review - [POST /reviews/{tenantId}/submit](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/submitreview.md) ## Returns a review from the system by its ID. - [DELETE /reviews/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/deletereview.md): This method will delete a review with the specified ID. ## Returns a review from the system by its ID. - [GET /reviews/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/getreview.md): This method will look up a review by the specified ID and return it back. ## Partially updates a review with the specified ID. - [PATCH /reviews/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/patchreview.md): This method will patch an existing review with the specified ID, using the HTTP PATCH specification. ## Updates a review with the specified ID. - [PUT /reviews/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/reviews/updatereview.md): This method will update an existing review with the specified ID.